Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.jobscontact
Class EPPJobsContactInfoResp

    java.lang.Object
      com.verisign.epp.codec.jobscontact.EPPJobsContactInfoResp

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPJobsContactInfoResp

extends java.lang.Object
implements EPPCodecComponent

Extension to the contact info response to return additional information. This will be returned as extension to dotJobs contact info response.

See Also:
  `EPPJobsContactInfoResp`, Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` Constant for the JobsContact info extension tag

Constructor Summary
`EPPJobsContactInfoResp()` Create an `EPPJobContact` instance
`EPPJobsContactInfoResp(java.lang.String aTitle, java.lang.String aWebsite, java.lang.String aIndustryType, java.lang.String aIsAdminContact, java.lang.String aIsAssociationMember)` Create a `EPPJobsContact` instance with the most common attributes

Method Summary
`java.lang.Object` | `clone()` Clone `EPPJobsContactInfData`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPJobsContactInfoResp component
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Sets all this instance's data in the given XML document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPJobsContactInfoResp` compare.
`java.lang.String` | `getIndustryType()` Returns the Contact industry type
`java.lang.String` | `getTitle()` Returns the title
`java.lang.String` | `getWebsite()` Returns the contact website
`java.lang.String` | `isAdminContact()` Returns whether the contact is of admin type
`java.lang.String` | `isAssociationMember()` Returns whether the contact is a member of HR association
`void` | `setAdminContact(java.lang.String aIsAdminContact)` Sets as admin contact
`void` | `setAssociationMember(java.lang.String aIsAssociationMember)` Sets the membership information for the contact
`void` | `setIndustry(java.lang.String aIndustryType)` Sets the Contact industry type
`void` | `setTitle(java.lang.String aTitle)` Sets the title
`void` | `setWebsite(java.lang.String aWebsite)` Sets the Contact website

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the JobsContact info extension tag

  See Also:
    Constant Field Values

Constructor Detail

### EPPJobsContactInfoResp

    public EPPJobsContactInfoResp()

  Create an `EPPJobContact` instance

### EPPJobsContactInfoResp

    public EPPJobsContactInfoResp(java.lang.String aTitle,
                                  java.lang.String aWebsite,
                                  java.lang.String aIndustryType,
                                  java.lang.String aIsAdminContact,
                                  java.lang.String aIsAssociationMember)

  Create a `EPPJobsContact` instance with the most common attributes

  Parameters:
    `aTitle` - Contact title
    `aWebsite` - Contact website
    `aIndustryType` - Contact industry type
    `aIsAdminContact` - Contact admin type
    `aIsAssociationMember` - Contact whether member of HR association

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPJobsContactInfData`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPJobsContactInfData`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Sets all this instance's data in the given XML document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - a DOM Document to attach data to.
  Returns:
    The root element of this component.
  Throws:
    `EPPEncodeException` - Thrown if any errors prevent encoding.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the EPPJobsContactInfoResp component

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` -
  Throws:
    `EPPDecodeException`

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPJobsContactInfoResp` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPJobsContact` instance to compare with
  Returns:
    true if equal false otherwise

### getTitle

    public java.lang.String getTitle()

  Returns the title

  Returns:
    the title if set;`null` otherwise

### setTitle

    public void setTitle(java.lang.String aTitle)

  Sets the title

  Parameters:
    `aTitle` - Contact title

### getWebsite

    public java.lang.String getWebsite()

  Returns the contact website

  Returns:
    the contact website if set;`null` otherwise

### setWebsite

    public void setWebsite(java.lang.String aWebsite)

  Sets the Contact website

  Parameters:
    `aWebsite` - Contact website

### getIndustryType

    public java.lang.String getIndustryType()

  Returns the Contact industry type

  Returns:
    the contact industry type if set;`null` otherwise

### setIndustry

    public void setIndustry(java.lang.String aIndustryType)

  Sets the Contact industry type

  Parameters:
    `aIndustryType` - Contact industry type

### isAdminContact

    public java.lang.String isAdminContact()

  Returns whether the contact is of admin type

  Returns:
    the contact type if set;`null` otherwise

### setAdminContact

    public void setAdminContact(java.lang.String aIsAdminContact)

  Sets as admin contact

  Parameters:
    `aIsAdminContact` - Is the contact an admin type?

### isAssociationMember

    public java.lang.String isAssociationMember()

  Returns whether the contact is a member of HR association

  Returns:
    the contact association membership information if set;`null` otherwise

### setAssociationMember

    public void setAssociationMember(java.lang.String aIsAssociationMember)

  Sets the membership information for the contact

  Parameters:
    `aIsAssociationMember` - Contact Association membership

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.